RubyGems Navigation menu

gtk-webkit-ruby 0.0.8

Gtk Webkit bindings for ruby. Partial coverage sufficient to embed a webview in a Ruby-GNOME2 application. Also initial/experimental support for allowing ruby code to be called by javascript & executing javascript from ruby. e.g require 'gtk2' require 'webkit' v = WebKit::WebView.new v.main_frame.setup_ruby puts v.main_frame.exec_js("ruby_eval('RUBY_DESCRIPTION')") puts v.main_frame.exec_js("document.root.innerHTML")

Versions:

  1. 0.0.8 - August 12, 2013 (16 KB)
  2. 0.0.7 - August 12, 2013 (17 KB)
  3. 0.0.6 - June 14, 2013 (16 KB)
  4. 0.0.5 - January 24, 2013 (16 KB)
  5. 0.0.4 - November 16, 2012 (15.5 KB)
Show all versions (6 total)

Runtime Dependencies (2):

  • glib2 >= 2.0.0
  • gtk2 >= 2.0.0
  • Development Dependencies (1):

    Owners:

    Authors:

    • Geoff Youngs

    SHA 256 checksum:

    f149acd3927a979be1ea54c5e7eb063b0437692b65010d8ebb1785d4a527b2ce

    Total downloads 17,834

    For this version 5,794

    Gemfile:
    = Copy to clipboard Copied!

    install:
    =

    Licenses:

    N/A

    Required Ruby Version: None

    Links: